"""
PDEBench: An Extensive Benchmark for Scientific Machine Learning

In this work, we provide a diverse and comprehensive benchmark for scientific machine learning, including a variety of challenging and representative range of physical problems.
This repository consists of the codes used to generate the datasets, upload and download the datasets from the data repository, train and evaluate different machine learning models as baseline.
PDEBench features a much wider range of PDEs than existing approaches including realistic and difficult problems (both forward and inverse), larger ready-to-use datasets comprising various initial or boundary conditions and model parameters, and extensible source codes.

Citations

@online{PDEBenchDataset,
  author = {Makoto Takamoto and  Timothy Pradita and Raphael Leiteritz and Dan MacKinlay and Francesco Alesiani and Dirk Pflüger and Mathias Niepert},
  title = {{PDEBench}: A Diverse and Comprehensive Benchmark for Scientific Machine Learning},
  year = 2022,
  doi = {doi:10.18419/darus-2986},
  urldoi = {http://dx.doi.org/10.18419/darus-2986},
  url = {https://darus.uni-stuttgart.de/privateurl.xhtml?token=1be27526-348a-40ed-9fd0-c62f588efc01},
  urldate = {2022-06-06}
}


"""

__version__ = "0.0.1"
__author__ = 'Makoto Takamoto, Timothy Praditia, Raphael Leiteritz, Dan MacKinlay, Francesco Alesiani, Dirk Pflüger, Mathias Niepert'
__credits__ = 'NEC labs Europe, University of Stuttgart, CSIRO''s Data61'
